Page MenuHomePhabricator

"copyvio" actions should be publically logged on projects
Closed, ResolvedPublic

Description

Follow up from https://en.wikipedia.org/wiki/Wikipedia:Bots/Requests_for_approval/EranBot_3#Discussion

This task calls for making a project-specific action that causes a change, however there is no log of these actions as either "contributions" or "logged actions" - for transparency being able to identify the account responsible for changes should be visible to users. Adding an additional Special:Log for this may be the best way to solve this.

Event Timeline

Xaosflux created this task.Sep 16 2018, 6:47 PM
Restricted Application added a project: Growth-Team. · View Herald TranscriptSep 16 2018, 7:46 PM
MMiller_WMF moved this task from Inbox to Upcoming Work on the Growth-Team board.Sep 19 2018, 7:12 PM

Thanks, @Xaosflux -- good idea. We'll get to this.

kostajh claimed this task.Sep 20 2018, 4:38 PM
kostajh edited projects, added Growth-Team (Current Sprint); removed Growth-Team.
kostajh moved this task from Incoming to In Progress on the Growth-Team (Current Sprint) board.

Change 462509 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/PageTriage@master] Log copyvio insertion events

https://gerrit.wikimedia.org/r/462509

Change 462509 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Log copyvio insertion events

https://gerrit.wikimedia.org/r/462509

Change 462803 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/PageTriage@master] Don't publish tag copyvio insert events to Recent Changes

https://gerrit.wikimedia.org/r/462803

Change 462803 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Don't publish tag copyvio insert events to Recent Changes

https://gerrit.wikimedia.org/r/462803

MMiller_WMF closed this task as Resolved.Oct 1 2018, 6:37 PM

The log is present and all log functionality checked (filtering options, deletion/suppression of log entires) - @MMiller_WMF please take a quick look- https://en.wikipedia.beta.wmflabs.org/wiki/Special:Log?type=pagetriage-copyvio&user=Etonkovidova&page=&wpdate=&tagfilter=:

MMiller_WMF added a comment.EditedOct 11 2018, 10:06 PM

I'm just noticing now that the word "possible" is used in this log, from @Etonkovidova's screenshot. The New Pages Feed UI uses "potential". I remember we discussed this -- is it easy/worth changing so that the log's language aligns with the UI?

@MMiller_WMF while that is the 'default' - it can be set per project at MediaWiki:Logentry-pagetriage-copyvio-insert

Change 466952 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/PageTriage@master] Use potential instead of possible copyright violation

https://gerrit.wikimedia.org/r/466952

Change 466952 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Use potential instead of possible copyright violation

https://gerrit.wikimedia.org/r/466952